{% extends 'capsule/base.html' %}

{% block content %} 
    <div class="container">
        
        <div class="row g-5">
            <div class="col-md-8">
                <h3 class="pb-4 mb-4 fst-italic border-bottom">
                    Detail de la capsule
                </h3>

                {% for launch in capsule.launches %}
                    <article class="blog-post">
                        <h2 class="blog-post-title mb-1">Lancement - {{launch.name}}</h2>
                        <p class="blog-post-meta text-right">{{launch.static_fire_date_utc}}</p>
                        <div class="p-4 mb-3 bg-body-tertiary rounded">
                            <h4 class="fst-italic">Detail</h4>
                            <p class="mb-0">{{launch.details|safe}}</p>
                        </div>
                    </article>
                    <nav class="blog-pagination" aria-label="Pagination">
                        <a class="mr-5" href="{{launch.link_patch_webcast}}" target="_blank">Youtube</a>
                        <button class="ml-5 btn btn{% if launch.success %}-success {% else %} disabled{% endif %} rounded-pill"> success </button>
                        <button class="btn btn{% if launch.upcoming %}-success {% else %} disabled{% endif %} rounded-pill"> upcoming </button>
                    </nav>
                    <div class="mt-2 text-center">
                        <img src="{{launch.link_patch_image}}" alt="image">
                    </div>
                {% empty %}
                    <div class="p-4 mb-3 bg-body-tertiary rounded">
                        <h4 class="fst-italic">Aucun launche trouvé</h4>
                    </div>
                {% endfor %}

                
            </div>

            <div class="col-md-4">
                <div class="position-sticky" style="top: 2rem;">

                    <div class="p-4">
                        <h4 class="fst-italic">Capsule</h4>
                        <ol class="list-unstyled">
                            <li>Land landings: {{capsule.land_landings}}</li>
                            <li>Water landings: {{capsule.water_landings}}</li>
                            <li>Reuse count: {{capsule.reuse_count}}</li>
                            <li>Serial: <b>{{capsule.serial}}</b></li>
                        </ol>
                    </div>

                    <div class="p-4 mb-3 bg-body-tertiary rounded">
                        <h4 class="fst-italic">Statut</h4>
                        <p class="mb-0">{{capsule.status}}</p>
                    </div>
                    <div class="p-4 mb-3 bg-body-tertiary rounded">
                        <h4 class="fst-italic">Type</h4>
                        <p class="mb-0">{{capsule.type}}</p>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}